diff mbox

[rdma-core,2/5] buildlib: add script to dump ABI

Message ID 017e29bd-8799-a477-e0b6-b0eab45439ef@suse.de (mailing list archive)
State Superseded
Headers show

Commit Message

Nicolas Morey-Chaisemartin Nov. 14, 2017, 6:59 p.m. UTC
Builds rdma-core in -Og/Debug mode and use abi-dumper to generate 1 xml
 per .so.*.* file.
Do not use .so file directly. Providers have no symbol exported
 and cause abi-dumer to exit with an error.

Signed-off-by: Nicolas Morey-Chaisemartin <NMoreyChaisemartin@suse.com>
Cc: stable@linux-rdma.org # v15
---
 buildlib/gen-abi | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 buildlib/gen-abi
diff mbox

Patch

diff --git a/buildlib/gen-abi b/buildlib/gen-abi
new file mode 100755
index 00000000..6dff8ddb
--- /dev/null
+++ b/buildlib/gen-abi
@@ -0,0 +1,18 @@ 
+#!/bin/bash
+
+# Stop on error
+set -e
+# Echo all commands to Travis log
+set -x
+
+mkdir build-abi
+cd build-abi
+CFLAGS="-g -Og" cmake -GNinja -DCMAKE_BUILD_TYPE=Debug ..
+ninja
+
+mkdir ABI
+for FILE in $(find lib -name "*.so.*.*"); do 
+	LIB=$(basename $FILE)
+	MODULE_VER=$(echo $LIB | sed -e 's/.*.so\.\(.*\)/\1/')
+	../buildlib/abi-checker/abi-dumper.pl  -lver $MODULE_VER $FILE -o ABI/$LIB.dump
+done